<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <main>
      <div>
        <h1>My Lists</h1>
        <div>
          <p>
            <a href="{% url "todo_list_create" %}">Create a new list</a>
          </p>
        </div>
        <div>
          <p>
            <a href="{% url "todo_item_create" %}">Create a new item</a>
          </p>
        </div>

        <table>
          <thead>
            <tr>
              <th>Name</th>
              <th>Number of items</th>
            </tr>
          </thead>
          <tbody>
            {% for item in todolist_list %}
            <!-- variable list to item for naming-->
            <tr>
              <td><a href="{% url "todo_list_detail" item.id %}">{{ item }}</a></td>
                                  <!--goto the detail url   grab the id for item-->
              <td>{{ item.items.all|length }}</td>
              <!-- each item from the todolist_list.related name(grabs list from TodoItem model).
              .all-->
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </main>
  </body>
</html>
